ITOX(3L)

NAME
itox, itoa, itoo - convert integer to string representation

SYNOPSIS
char *itox (n, s)

char *itoa (n, s)

char *itoo (n, s)

long n;
char *s;

DESCRIPTION
The itox function returns the hexadecimal string representation of the long integer n prefixed with "0x".

The itoa function returns the decimal string representaion of the integer n.

The itoo function returns the octal string representation of the integer n prepended with "0".

The argument s must point to a buffer large enough to hold the string. The return value is s.

EXAMPLE
The following example produces a hexadecimal string without the "0x" prefix.

    #include <dmd.h>
    char *itox();
    char *
    myitox(buf)
    char *buf;
    {
            return(itox((long)192, buf) + 2);
    }

Note: the return value is buf + 2, which is the hexadecimal string ``C0''.